Bug 96703 - www/apache13-modssl doesn't compile with LC_ALL set in Environment
Summary: www/apache13-modssl doesn't compile with LC_ALL set in Environment
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dirk Meyer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-03 09:40 UTC by Raphael Becker
Modified: 2007-05-31 12:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Raphael Becker 2006-05-03 09:40:20 UTC
	Building an apache13-port having LC_ALL set in the envorinment LC_ALL=de_DE.ISO8859-1 causes an compiler error:

	In file included from ../include/ap_config.h:34,
			 from ../include/httpd.h:29,
			 from alloc.c:23:
	../include/ap_config_auto.h:25:15: warning: extra tokens at end of #ifdef directive
	../include/ap_config_auto.h:30:14: warning: extra tokens at end of #ifndef directive
	../include/ap_config_auto.h:31:14: warning: ISO C requires whitespace after the macro name
	../include/ap_config_auto.h:35:15: warning: extra tokens at end of #ifndef directive
	../include/ap_config_auto.h:36:15: warning: ISO C requires whitespace after the macro name
	../include/ap_config_auto.h:40:15: warning: extra tokens at end of #ifndef directive
	../include/ap_config_auto.h:45:14: warning: extra tokens at end of #ifdef directive
	../include/ap_config_auto.h:46:14: warning: extra tokens at end of #undef directive
	../include/ap_config_auto.h:50:15: warning: extra tokens at end of #ifndef directive
	../include/ap_config_auto.h:51:15: warning: ISO C requires whitespace after the macro name
	alloc.c: In function `spawn_child_core':
	alloc.c:2645: error: `STDOUT_FILENO' undeclared (first use in this function)
	alloc.c:2645: error: (Each undeclared identifier is reported only once
	alloc.c:2645: error: for each function it appears in.)
	alloc.c:2651: error: `STDIN_FILENO' undeclared (first use in this function)
	alloc.c:2657: error: `STDERR_FILENO' undeclared (first use in this function)
	*** Error code 1

	Stop in /usr/ports/www/apache13-modssl/work/apache_1.3.34/src/main.
	*** Error code 1

Fix: 

unset LC_ALL before building the port
How-To-Repeat: 	# LC_ALL=de_DE.ISO8859-1
	# export LC_ALL
	# cd /usr/ports/ww/apache13-modssl
	# make
Comment 1 Edwin Groothuis freebsd_committer 2006-05-03 09:44:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

Over to maintainer
Comment 2 Dirk Meyer freebsd_committer 2006-05-20 11:48:27 UTC
State Changed
From-To: open->analyzed


lots of base tolls, "tr, awk" behave diffrent. 

to ensure working builds, you have to 

unset LC_ALL LC_COLLATE LANG 

for most ports builds. 

There is no other fix at hand.
Comment 3 dfilter service freebsd_committer 2007-05-31 11:40:37 UTC
dinoex      2007-05-31 10:40:31 UTC

  FreeBSD ports repository

  Added files:
    www/apache13-modssl/files patch-Configure 
  Log:
  - fix build for custom locales
  PR:             96703
  
  Revision  Changes    Path
  1.1       +13 -0     ports/www/apache13-modssl/files/patch-Configure (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Dirk Meyer freebsd_committer 2007-05-31 11:56:39 UTC
State Changed
From-To: analyzed->closed

- found a way to fix it.
Comment 5 dfilter service freebsd_committer 2007-05-31 12:08:52 UTC
ache        2007-05-31 11:08:46 UTC

  FreeBSD ports repository

  Modified files:
    www/apache13/files   patch-ae 
  Log:
  Fix build when custom LC_ALL is set
  PR:     96703
  
  Revision  Changes    Path
  1.3       +10 -1     ports/www/apache13/files/patch-ae
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"